Subject: bug#55537: Guix pull after many months fails: substitutes for git-minimal-2.36.1 failed

From: Rafa Gálvez <[email-masked]>
Date: Mon, 30 May 2022 16:22:12 +0200

Hi Giovanni,

On 2022-05-30 15:44, Giovanni Biscuolo wrote:

[...]

>> Is there a way to reinstall guix on a foreign distro?
> 
> If you are on Debian 11 or above you can install the guix deb package
> (and eventually upgrade guix-daemon with "sudo -i guix pull", but 
> beware
> of the path used in guix-daemon.service in /etc/systemd/system/)
> 

I will try this next, I'm on Debian unstable.

>> I couldn't find instructions on the manual, the only related thing it
>> says is that I shouldn't unpack guix on an working Guix system[0].
> 
> Sorry I cannot help on repairing this situation
> 
> [...]
> 
> Good luck! Gio'

Thank you!